import org.letouilleur.demo.Contact
import javax.servlet.ServletContext

/**
 * Script de demarrage
 */
class BootStrap {

  def init = {ServletContext ctx ->

    environments {
      production {

        ctx.setAttribute("env", "prod")
      }
      development {
        createTestEntries()
        ctx.setAttribute("env", "dev")
      }
    }


  }

  def destroy = {
  }

  // Cette methode est appele uniquement en mode developpement afin de creer des Contacts

  void createTestEntries() {
    def nm = new Contact(prenom: "Nicolas", nom: "Martignole", dateNaissance: new Date() - 120, email: "nicolas@test.fr")
    nm.save()

    def c = new Contact(prenom: "Paul", nom: "Gontran", dateNaissance: new Date() - 1, email: "paul@toto.fr")
    c.save()
    if (c.hasErrors())
      println c.errors


    new Contact(prenom: "Georges", nom: "Lucas", dateNaissance: new Date() - 1, email: "lucas@star.fr").save(failOnError: true)
    new Contact(prenom: "Gregory", nom: "Madisson", dateNaissance: new Date() - 3, email: "mads@son.com").save()
    new Contact(prenom: "Jonathan", nom: "Lalou", dateNaissance: new Date() - 2, email: "john@lecowboy.fr").save()
    new Contact(prenom: "Katherine", nom: "Grah", dateNaissance: new Date() - 3, email: "kat@noop.fr").save()
    new Contact(prenom: "Amelie", nom: "Blou", dateNaissance: new Date() - 56, email: "amelie@noop.fr").save()
    new Contact(prenom: "Anatole", nom: "Ducib", dateNaissance: new Date() - 23, email: "am@noop.fr").save()
    new Contact(prenom: "François", nom: "ProdMan", dateNaissance: new Date() - 4, email: "kim@noop.fr").save()
    new Contact(prenom: "David", nom: "CeChau", dateNaissance: new Date() - 91, email: "david@noop.fr").save()
    new Contact(prenom: "Mélanie", nom: "Hénéstique", dateNaissance: new Date() - 3, email: "pierre@noop.fr").save()

    // Pour que ce contact soit sauvegarde il faut que la class Contact
    // rende l'attribut dateNaissance optionel.
    // Editez Contact.groovy et verifiez que la contrainte nullable:true sur
    // l'attribut dateNaissance est specifiee de cette façon
    //  dateNaissance(nullable:true)
    new Contact(prenom: "Andre", nom: "Magphone", email: "ant@noop.fr").save()

  }
} 