<%@ page import="org.letouilleur.demo.Contact" %>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta name="layout" content="main"/>
  <g:set var="entityName" value="${message(code: 'contact.label', default: 'Contact')}"/>
  <title>Editer un Contact</title>
  <calendar:resources/>
</head>
<body>
<div class="body">
  <h2>Editer un contact</h2>
  
  <g:if test="${flash.message}">
    <div class="message">${flash.message}</div>
  </g:if>
  <g:hasErrors bean="${contactInstance}">
    <div class="errors">
      <g:renderErrors bean="${contactInstance}" as="list"/>
    </div>
  </g:hasErrors>
  <g:form method="post">
    <g:hiddenField name="id" value="${contactInstance?.id}"/>
    <g:hiddenField name="version" value="${contactInstance?.version}"/>
    <div class="dialog">
      <table>
        <tbody>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="prenom"><g:message code="contact.prenom.label" default="Prenom"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: contactInstance, field: 'prenom', 'errors')}">
            <g:textField name="prenom" value="${contactInstance?.prenom}"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="nom"><g:message code="contact.nom.label" default="Nom"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: contactInstance, field: 'nom', 'errors')}">
            <g:textField name="nom" value="${contactInstance?.nom}"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="dateNaissance"><g:message code="contact.dateNaissance.label" default="Date Naissance"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: contactInstance, field: 'dateNaissance', 'errors')}">
            <!-- utilisation du plugin calendar, a installer avec grails install-plugin calendar -->
            <calendar:datePicker name="dateNaissance" defaultValue="${contactInstance?.dateNaissance}" dateFormat="%d/%m/%Y"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="email"><g:message code="contact.email.label" default="Email"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: contactInstance, field: 'email', 'errors')}">
            <g:textField name="email" value="${contactInstance?.email}"/>
          </td>
        </tr>

        </tbody>
      </table>
    </div>
    <div class="buttonbox">
      <g:actionSubmit class="button" action="update" value="Mettre à jour"/>
      <g:actionSubmit class="button" action="delete" value="Effacer" onclick="return confirm('Vous êtes sûr ?');"/>
    </div>
  </g:form>
</div>
</body>
</html>
